<template>
  <div class="h-full">
    <h1 class="mb-8">Your visit summary</h1>
    <p class="mb-3 text-xs tracking-12px uppercase">TODAY’S PURCHASE</p>
    <div class="mb-3 rounded-lg bg-white p-5 grid item-container">
      <div
        class="item"
        v-for="item in items"
        :key="item.name"
      >
        <div
          class="item-img"
          :style="`background-image: url(${item.img}); min-height: ${item.minHeight}`"
          v-if="item.img"
        />
        <div class="item-content">
          <div class="text-sm">
            <p>{{ item.name }}</p>
            <div
              v-if="item.description"
              class="text-grey-mlight"
            >
              {{ item.description }}
            </div>
          </div>
          <div class="text-sm text-right">
            <p :class="{'line-through': item.oldPrice}" v-if="item.oldPrice" class="text-grey-mlight">${{ item.oldPrice }}</p>
            <p>{{ item.price ? `$${item.price}` : 'FREE' }}</p>
          </div>
        </div>
      </div>
      <div class="flex flex-col justify-center py-2 text-sm">
        <p class="font-semibold">Total</p>
        <p class="text-green-sdark">You saved ${{ totalSaved }}</p>
      </div>
    </div>
    <p class="text-sm mb-10">You won’t be charged for or shipped this prescription product unless a doctor prescribes it to you.</p>
    <p class="uppercase-title mb-3">SHIPS AFTER YOUR 2-MONTH TRIAL</p>
    <div class="mb-8 rounded-lg bg-white px-5 pb-0 grid">
      <div
        class="item padding"
      >
        <div
          class="item-img"
          :style="`background-image: url(${customPrescriptionImg}); min-height: 76px`"
        />
        <div class="item-content">
          <div class="text-sm">
            <p>Custom Prescription Solution</p>
            <div
              class="text-grey-mlight"
            >
              1 month supply
            </div>
            <div
              class="text-grey-mlight"
            >
              Ships every month
            </div>
          </div>
          <div class="text-sm text-right">
            <p class="text-grey-mlight line-through">$99.95</p>
            <p>$69.95</p>
          </div>
        </div>
      </div>
      <div
        class="item no-border padding"
      >
        <div class="item-content">
          <div class="text-sm">
            <p>Total</p>
            <div
              class="text-green-sdark"
            >
              You’ll save $30 each month
            </div>
          </div>
          <div class="text-sm text-right">
            <p>$69.95</p>
          </div>
        </div>
      </div>
    </div>
    <div class="grid gap-y-5 mb-9">
      <div class="features">
        <div class="features-item" v-for="item in features" :key="item.title">
          <div class="bg-defaults h-full" :style="`background-image: url(${item.img})`"/>
          <div>{{ item.title }}</div>
        </div>
      </div>
    </div>
    <common-btn
      text="Continue to Shipping"
      @click="$emit('nextStage')"
      class="sticky bottom-5"
    />
  </div>
</template>

<script>
export default {
  name: "VisitSummaryStage",
  data() {
    return {
      customPrescriptionImg: require('@/assets/img/common/custom-prescription-solution.png'),
      items: [
        {
          img: require('@/assets/img/common/doctor.png'),
          name: '4x Virtual Doctor Visits',
          price: 99,
          minHeight: '30px',
        },
        {
          img: require('@/assets/img/common/custom-prescription-solution.png'),
          name: 'Custom Prescription Solution',
          description: '2 month supply',
          price: 0,
          oldPrice: 199.90,
          minHeight: '76px',
        },
        {
          img: require('@/assets/img/common/placeholder-image.png'),
          name: 'Complete Thyroid Support',
          price: 0,
          oldPrice: 35,
          minHeight: '60px',
        },
        {
          img: require('@/assets/img/common/foam.png'),
          name: 'Leave-In Daily Foam',
          price: 0,
          oldPrice: 20,
          minHeight: '84px',
        },
        {
          name: '2-Day Expedited Shipping',
          price: 0,
          oldPrice: 15,
        },
      ],
      features: [
        {
          title: 'Monthly check-ins with your doctor',
          img: require('@/assets/img/common/doctor.png'),
        },
        {
          title: 'Weekly education in your inbox',
          img: require('@/assets/img/common/weekly-education.png'),
        },
        {
          title: 'FREE 2-day expedited shipping',
          img: require('@/assets/img/icons/shipping.png'),
        },
      ]
    }
  },
  computed: {
    totalSaved() {
      return this.items.reduce((acc, item) => {
        return acc + (item.oldPrice ?? 0)
      }, 0).toFixed(2)
    }
  }
}
</script>

<style scoped>
.item {
  @apply gap-x-3 flex items-center py-2 border-b border-grey-darker;
}

.item.no-border {
  border: none;
}
.item.padding {
  @apply py-5;
}

.item-content {
  @apply flex w-full justify-between items-center;
}

.item-img {
  @apply bg-contain bg-no-repeat bg-center h-full w-10;
  min-width: 40px;
}

.item-container {
  grid-auto-rows: 1fr;
}

.features {
  @apply grid gap-y-5;
  grid-auto-rows: minmax(30px, auto);
}

.features-item {
  @apply grid gap-x-2 items-center;
  grid-template-columns: 50px 1fr;
}
</style>
